# Class ApplicationFilterFactory

java.lang.Object
org.apache.catalina.core.ApplicationFilterFactory

public final class ApplicationFilterFactory extends Object
Factory for the creation and caching of Filters and creation of Filter Chains.

Author:
  Greg Murray, Remy Maucherat

## Method Summary

Modifier and Type
Method
Description
`static ApplicationFilterChain`
`createFilterChain(ServletRequest request, Wrapper wrapper, Servlet servlet)`
Construct a FilterChain implementation that will wrap the execution of the specified servlet instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createFilterChain

public static ApplicationFilterChain createFilterChain(ServletRequest request, Wrapper wrapper, Servlet servlet)
Construct a FilterChain implementation that will wrap the execution of the specified servlet instance.

Parameters:
  `request` - The servlet request we are processing
  `wrapper` - The wrapper managing the servlet instance
  `servlet` - The servlet instance to be wrapped
Returns:
  The configured FilterChain instance or null if none is to be executed.